#
# Conditional build:
%bcond_without	systemtap	# systemtap/dtrace trace support
#
Summary:	JavaScript bindings for GNOME
Summary(pl.UTF-8):	Wiązania JavaScriptu dla GNOME
Name:		gjs
Version:	1.50.2
Release:	1
License:	MIT and (MPL v1.1 or GPL v2+ or LGPL v2+)
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gjs/1.50/%{name}-%{version}.tar.xz
# Source0-md5:	d08c1dc0388a0a6bb0975d400928589e
URL:		http://live.gnome.org/Gjs
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	cairo-devel
BuildRequires:	cairo-gobject-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gobject-introspection-devel >= 1.41.4
BuildRequires:	gtk+3-devel >= 3.20
BuildRequires:	libffi-devel
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2.2.0
BuildRequires:	mozjs52-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
%{?with_systemtap:BuildRequires:	systemtap-sdt-devel}
Requires:	glib2 >= 1:2.50.0
Requires:	gtk+3 >= 3.20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gjs allows using GNOME libraries from JavaScript. It is mainly based
on Spidermonkey JavaScript engine and the GObject introspection
framework.

%description -l pl.UTF-8
Gjs pozwala używać bibliotek GNOME z JavaScriptem. Jest oparty głównie
na silniku JavaScriptu Spidermonkey i systemie GObject introspection.

%package devel
Summary:	Header files for gjs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gjs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel
Requires:	cairo-gobject-devel
Requires:	glib2-devel >= 1:2.50.0
Requires:	gobject-introspection-devel >= 1.41.4
Requires:	gtk+3-devel >= 3.20
Requires:	libffi-devel
Requires:	mozjs52-devel

%description devel
Header files for gjs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gjs.

%package -n systemtap-gjs
Summary:	systemtap/dtrace probes for gjs
Summary(pl.UTF-8):	Sondy systemtap/dtrace dla gjs
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	systemtap-client

%description -n systemtap-gjs
systemtap/dtrace probes for gjs.

%description -n systemtap-gjs -l pl.UTF-8
Sondy systemtap/dtrace dla gjs.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_systemtap:--enable-systemtap}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

cp examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README
%attr(755,root,root) %{_bindir}/gjs
%attr(755,root,root) %{_bindir}/gjs-console
%attr(755,root,root) %{_libdir}/libgjs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgjs.so.0
%dir %{_libdir}/gjs
%dir %{_libdir}/gjs/girepository-1.0
%{_libdir}/gjs/girepository-1.0/GjsPrivate-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgjs.so
%{_includedir}/gjs-1.0
%{_pkgconfigdir}/gjs-1.0.pc
%{_examplesdir}/%{name}-%{version}

%files -n systemtap-gjs
%defattr(644,root,root,755)
%{_datadir}/systemtap/tapset/gjs.stp
%changelog
* Sun Nov 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gjs.git;a=log;h=master

* Sun Nov 05 2017 Marcin Banasiak <marcin.banasiak@gmail.com> c71bbf6
- Update to 1.50.2

* Sun Oct 08 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 87c1fd0
- Update to 1.50.1

* Sat Jul 29 2017 Jakub Bogusz <qboosh@pld-linux.org> f3a983f
- updated to 1.48.6

* Wed Jun 21 2017 Jakub Bogusz <qboosh@pld-linux.org> e5ee9e8
- updated to 1.48.5

* Sat May 06 2017 Marcin Banasiak <marcin.banasiak@gmail.com> bea5836
- Update to 1.48.3

* Sun Apr 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 1f9b805
- Update to 1.48.2

* Mon Apr 17 2017 Jakub Bogusz <qboosh@pld-linux.org> ee5cf52
- updated dependencies

* Tue Apr 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6e22755
- Update to 1.48.1

* Mon Mar 20 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 9762e2f
- Update to 1.48.0

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 250505a
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Mon Oct 03 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 46fc928
- Update to 1.46.0

* Fri Oct 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 45bcb8f
- updated to 1.44.0

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 5826bba
- updated to 1.43.3 (used by some GNOME 3.16 components)

* Mon Mar 23 2015 Jan Rękorajski <baggins@pld-linux.org> 8b03896
- release 4 (by relup.sh)

* Mon Mar 23 2015 Jan Rękorajski <baggins@pld-linux.org> 8a4685a
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> dee0d72
- updated gettext BR

* Sat Dec 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f42e1c6
- libffi rebuild
- release 2 (by relup.sh)

* Tue Sep 30 2014 Łukasz Kieś <kiesiu@pld-linux.org> b636f07
- updated to 1.42.0

* Tue Apr 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> fdde286
- Update to 1.40.1

* Tue Mar 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> 1da5aa7
- updated to 1.40.0
- gtk+3 and mozjs24 dependency

